Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## calhoun.analysis.crf.solver
Class NoCachingCacheProcessor

    java.lang.Object
      calhoun.analysis.crf.solver.CacheProcessorBasic
          calhoun.analysis.crf.solver.NoCachingCacheProcessor

All Implemented Interfaces:
  CacheProcessor

    public class NoCachingCacheProcessor

extends CacheProcessorBasic

a dummy cache processor that fulfills the interface but doesn't cache. It always retrieves values by calling the `FeatureManager` `evlaute` functions. Does not work with NodeBoundary features.

Nested Class Summary

Nested classes/interfaces inherited from interface calhoun.analysis.crf.solver.CacheProcessor
`CacheProcessor.FeatureEvaluation, CacheProcessor.LengthFeatureEvaluation, CacheProcessor.SolverSetup, CacheProcessor.StatePotentials`

Constructor Summary
`NoCachingCacheProcessor()`

Method Summary
`void` | `evaluatePosition(int seqNum, int pos)`
`void` | `evaluateSegmentsEndingAt(int seq, int pos)`
`double[]` | `getFeatureSums()`
`boolean[]` | `getInvalidTransitions()`
`boolean` | `isAllPaths()` true if all paths (valid and invalid) are to be evaluated during the viterbi search.
`void` | `setAllPaths(boolean allPaths)` sets whether all paths (valid and invalid) are to be evaluated during the viterbi search.
`void` | `setTrainingData(ModelManager fm, java.util.List<? extends TrainingSequence<?>> data)`

Methods inherited from class calhoun.analysis.crf.solver.CacheProcessorBasic
`getData, getFeatureEvaluations, getLengthFeatureEvaluations, getSequenceFeatureSums, getSolverSetup, getTrainingFile, setInputData, setTrainingFile`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NoCachingCacheProcessor

    public NoCachingCacheProcessor()

Method Detail

### isAllPaths

    public boolean isAllPaths()

  true if all paths (valid and invalid) are to be evaluated during the viterbi search. Defaults to false.

  Returns:
    true if all paths are to be examined

### setAllPaths

    public void setAllPaths(boolean allPaths)

  sets whether all paths (valid and invalid) are to be evaluated during the viterbi search. Defaults to false.

  Parameters:
    `allPaths` - allPath true if all paths are to be examined

### setTrainingData

    public void setTrainingData(ModelManager fm,
                                java.util.List<? extends TrainingSequence<?>> data)

  Specified by:
    `setTrainingData` in interface `CacheProcessor`
  Overrides:
    `setTrainingData` in class `CacheProcessorBasic`

### getInvalidTransitions

    public boolean[] getInvalidTransitions()

### getFeatureSums

    public double[] getFeatureSums()

  Specified by:
    `getFeatureSums` in interface `CacheProcessor`
  Overrides:
    `getFeatureSums` in class `CacheProcessorBasic`

### evaluatePosition

    public void evaluatePosition(int seqNum,
                                 int pos)

### evaluateSegmentsEndingAt

    public void evaluateSegmentsEndingAt(int seq,
                                         int pos)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD